package domain


type AlibabaWdkElemeBillDetailGetOrderDetailFee struct {
    /*
        众包呼单费     */
    ZhongbaoCallFee  *string `json:"zhongbao_call_fee,omitempty" `

    /*
        冷链加工费     */
    ColdBoxFee  *string `json:"cold_box_fee,omitempty" `

    /*
        用户实付     */
    UserFee  *string `json:"user_fee,omitempty" `

    /*
        实收佣金     */
    Commission  *string `json:"commission,omitempty" `

    /*
        代理商补贴     */
    AgentRate  *string `json:"agent_rate,omitempty" `

    /*
        平台补贴     */
    PlatformRate  *string `json:"platform_rate,omitempty" `

    /*
        商户补贴     */
    ShopRate  *string `json:"shop_rate,omitempty" `

    /*
        配送费     */
    SendFee  *string `json:"send_fee,omitempty" `

    /*
        餐盒费     */
    PackageFee  *string `json:"package_fee,omitempty" `

    /*
        商品金额     */
    ProductFee  *string `json:"product_fee,omitempty" `

    /*
        渠道费     */
    PayChannelFee  *string `json:"pay_channel_fee,omitempty" `

    /*
        渠道费率     */
    PayChannelRate  *string `json:"pay_channel_rate,omitempty" `

}

func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetZhongbaoCallFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.ZhongbaoCallFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetColdBoxFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.ColdBoxFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetUserFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.UserFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetCommission(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.Commission = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetAgentRate(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.AgentRate = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetPlatformRate(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.PlatformRate = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetShopRate(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.ShopRate = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetSendFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.SendFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetPackageFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.PackageFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetProductFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.ProductFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetPayChannelFee(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.PayChannelFee = &v
    return s
}
func (s *AlibabaWdkElemeBillDetailGetOrderDetailFee) SetPayChannelRate(v string) *AlibabaWdkElemeBillDetailGetOrderDetailFee {
    s.PayChannelRate = &v
    return s
}
